1

Topic: Error upgrading from 1.4.0 to 1.4.1

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release): 1.4.1
- Deployed with iRedMail Easy or the downloadable installer? Updating
- Linux/BSD distribution name and version: Ubunu 20.0.4
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MariaDb
- Web server (Apache or Nginx): Nginx
- Manage mail accounts with iRedAdmin-Pro? No
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====

Jan 11 20:22:07 au mysqld[4598]: 2022-01-11 20:22:07 0 [Note] /usr/sbin/mysqld (mysqld 10.3.32-MariaDB-0ubuntu0.20.04.1) starting as process 4598 ...
Jan 11 20:22:08 au systemd[1]: Started MariaDB 10.3.32 database server.
Jan 11 20:22:08 au /etc/mysql/debian-start[4637]: Upgrading MySQL tables if necessary.
Jan 11 20:22:08 au /etc/mysql/debian-start[4640]: Looking for 'mysql' as: /usr/bin/mysql
Jan 11 20:22:08 au /etc/mysql/debian-start[4640]: Looking for 'mysqlcheck' as: /usr/bin/mysqlcheck
Jan 11 20:22:08 au /etc/mysql/debian-start[4640]: Version check failed. Got the following error when calling the 'mysql' command line client
Jan 11 20:22:08 au /etc/mysql/debian-start[4640]: ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
Jan 11 20:22:08 au /etc/mysql/debian-start[4640]: FATAL ERROR: Upgrade failed
Jan 11 20:22:08 au /etc/mysql/debian-start[4650]: Checking for insecure root accounts.
Jan 11 20:22:08 au debian-start[4653]: ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)

----

Spider Email Archiver: On-Premises, lightweight email archiving software developed by iRedMail team. Stable release is out.

2 (edited by Cthulhu 2022-01-11 23:33:02)

Re: Error upgrading from 1.4.0 to 1.4.1

root has a passwort set for security purposes, normally it is set in ~/.my.cnf

this is not used by the updatescript itself, it trys to run it via unix socket